import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-angular-core";
import { DependencyProperty } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class FullStochasticOscillatorIndicator extends StrategyBasedIndicator {
    static $t: Type;
    constructor();
    protected get_qc(): IndicatorCalculationStrategy;
    protected readonly qc: IndicatorCalculationStrategy;
    protected get_qp(): Type;
    protected readonly qp: Type;
    qx: number;
    static readonly q2: DependencyProperty;
    protected qi(): number;
    qr(a: number): void;
    smoothingPeriod: number;
    static readonly q3: DependencyProperty;
    protected qk(): number;
    qz: number;
    static readonly q4: DependencyProperty;
    protected qh(): number;
    protected ps(): number;
}
